call set problem=windows

@echo off

call copy ..\%problem%_at.c solution.c
call gcc solution.c -o solution.exe

for %%i in (??) do (
	call del %problem%.in
	call copy %%i %problem%.in
	@echo %%i
	call solution.exe    
	call copy %problem%.out %%i.a
)